GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions | Variables
json_token.c File Reference
`#include "src/core/security/json_token.h"`
`#include <string.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/string_util.h>`
`#include "src/core/security/base64.h"`
`#include <openssl/bio.h>`
`#include <openssl/evp.h>`
`#include <openssl/pem.h>`

## Macros
#define | GRPC_JWT_RSA_SHA256_ALGORITHM "RS256"
#define | GRPC_JWT_TYPE "JWT"

## Functions
int | grpc_auth_json_key_is_valid (const grpc_auth_json_key *json_key)
grpc_auth_json_key | grpc_auth_json_key_create_from_json (const grpc_json *json)
grpc_auth_json_key | grpc_auth_json_key_create_from_string (const char *json_string)
void | grpc_auth_json_key_destruct (grpc_auth_json_key *json_key)
const EVP_MD * | openssl_digest_from_algorithm (const char *algorithm)
char * | compute_and_encode_signature (const grpc_auth_json_key *json_key, const char *signature_algorithm, const char *to_sign)
char * | grpc_jwt_encode_and_sign (const grpc_auth_json_key *json_key, const char *audience, gpr_timespec token_lifetime, const char *scope)
void | grpc_jwt_encode_and_sign_set_override (grpc_jwt_encode_and_sign_override func)
int | grpc_auth_refresh_token_is_valid (const grpc_auth_refresh_token *refresh_token)
grpc_auth_refresh_token | grpc_auth_refresh_token_create_from_json (const grpc_json *json)
grpc_auth_refresh_token | grpc_auth_refresh_token_create_from_string (const char *json_string)
void | grpc_auth_refresh_token_destruct (grpc_auth_refresh_token *refresh_token)

## Variables
const gpr_timespec | grpc_max_auth_token_lifetime = {3600, 0, GPR_TIMESPAN}

## Macro Definition Documentation

#define GRPC_JWT_RSA_SHA256_ALGORITHM "RS256"

#define GRPC_JWT_TYPE "JWT"

## Function Documentation

char* compute_and_encode_signature | ( | const grpc_auth_json_key * | json_key,
|  | const char * | signature_algorithm,
|  | const char * | to_sign
| ) |  |

grpc_auth_json_key grpc_auth_json_key_create_from_json | ( | const grpc_json * | json | ) |

grpc_auth_json_key grpc_auth_json_key_create_from_string | ( | const char * | json_string | ) |

void grpc_auth_json_key_destruct | ( | grpc_auth_json_key * | json_key | ) |

int grpc_auth_json_key_is_valid | ( | const grpc_auth_json_key * | json_key | ) |

grpc_auth_refresh_token grpc_auth_refresh_token_create_from_json | ( | const grpc_json * | json | ) |

grpc_auth_refresh_token grpc_auth_refresh_token_create_from_string | ( | const char * | json_string | ) |

void grpc_auth_refresh_token_destruct | ( | grpc_auth_refresh_token * | refresh_token | ) |

int grpc_auth_refresh_token_is_valid | ( | const grpc_auth_refresh_token * | refresh_token | ) |

char* grpc_jwt_encode_and_sign | ( | const grpc_auth_json_key * | json_key,
|  | const char * | audience,
|  | gpr_timespec | token_lifetime,
|  | const char * | scope
| ) |  |

void grpc_jwt_encode_and_sign_set_override | ( | grpc_jwt_encode_and_sign_override | func | ) |

const EVP_MD* openssl_digest_from_algorithm | ( | const char * | algorithm | ) |

## Variable Documentation

const gpr_timespec grpc_max_auth_token_lifetime = {3600, 0, GPR_TIMESPAN}